Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class SimpleLink

    java.lang.Object
      com.nwoods.jgo.JGoObject
          com.nwoods.jgo.JGoDrawable
              com.nwoods.jgo.JGoStroke
                  com.nwoods.jgo.JGoLink
                      com.nwoods.jgo.JGoLabeledLink
                          edu.stanford.smi.protegex.widget.graph.SimpleLink

All Implemented Interfaces:
  com.nwoods.jgo.JGoIdentifiablePart, Serializable

    public class SimpleLink

extends com.nwoods.jgo.JGoLabeledLink

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.nwoods.jgo.JGoLabeledLink
`ChangedFromLabel, ChangedMidLabel, ChangedToLabel`

Fields inherited from class com.nwoods.jgo.JGoLink
`AdjustingStyleCalculate, AdjustingStyleEnd, AdjustingStyleScale, AdjustingStyleStretch, ChangedAdjustingStyle, ChangedAvoidsNodes, ChangedCurviness, ChangedFromPort, ChangedJumpsOver, ChangedOrthogonal, ChangedPartID, ChangedRelinkable, ChangedToPort, ChangedUserObject, RelinkableFromHandle, RelinkableToHandle`

Fields inherited from class com.nwoods.jgo.JGoStroke
`ChangedAddPoint, ChangedAllPoints, ChangedArrowAngle, ChangedArrowHeads, ChangedArrowLength, ChangedArrowShaftLength, ChangedArrowWidth, ChangedCubic, ChangedHighlight, ChangedModifiedPoint, ChangedRemovePoint, myPoints`

Fields inherited from class com.nwoods.jgo.JGoObject
`Bottom, BottomCenter, BottomLeft, BottomMiddle, BottomRight, Center, CenterLeft, CenterRight, Changed4ResizeHandles, ChangedBrush, ChangedDraggable, ChangedDragsNode, ChangedGeometry, ChangedGrabChildSelection, ChangedPen, ChangedResizable, ChangedSelectable, ChangedVisible, ChangedZOrder, LastChangedHint, Left, LeftCenter, NoHandle, NoSpot, NumReservedHandles, RepaintAll, Right, RightCenter, SideLeft, SideRight, Top, TopCenter, TopLeft, TopMiddle, TopRight`

Constructor Summary
`SimpleLink()`
`SimpleLink(com.nwoods.jgo.JGoPort from, com.nwoods.jgo.JGoPort to)`

Method Summary
`void` | `initialize(String text)`
`void` | `setText(String text)`

Methods inherited from class com.nwoods.jgo.JGoLabeledLink
`calculateStroke, changeValue, copyNewValueForRedo, copyObject, doMouseClick, doMouseDblClick, getFromLabel, getMidLabel, getToLabel, layoutMidLabel, ownerChange, positionEndLabel, positionLabels, positionMidLabel, setFromLabel, setMidLabel, setToLabel, SVGReadObject, SVGUpdateReference, SVGWriteObject, update`

Methods inherited from class com.nwoods.jgo.JGoLink
`addOrthoPoints, adjustPoints, copyObjectDelayed, gainedSelection, getAdjustingStyle, getCurviness, getFirstPickPoint, getFromPort, getLastPickPoint, getMidOrthoPosition, getOtherPort, getPartID, getToPort, getUserObject, handleResize, isAvoidsNodes, isCubic, isDefaultResizingRelinks, isJumpsOver, isOrthogonal, isRelinkable, isSelfLoop, modifyEndPoints, paint, portChange, rescalePoints, setAdjustingStyle, setAvoidsNodes, setCurviness, setDefaultResizingRelinks, setFromPort, setJumpsOver, setOrthogonal, setPartID, setRelinkable, setToPort, setUserObject, stretchPoints, unlink`

Methods inherited from class com.nwoods.jgo.JGoStroke
`addPoint, addPoint, calculateFilledArrowhead, computeBoundingRect, copyOldValueForUndo, copyPoints, drawArrowhead, drawArrowHeads, expandRectByPenWidth, geometryChange, getArrowAngle, getArrowFromAnchorPoint, getArrowFromEndPoint, getArrowLength, getArrowShaftLength, getArrowToAnchorPoint, getArrowToEndPoint, getArrowWidth, getEndPoint, getHighlight, getNearestIntersectionOnLine, getNearestIntersectionPoint, getNearestPointOnLine, getNearestPointOnLine, getNumPoints, getPoint, getPointX, getPointY, getSegmentNearPoint, getStartPoint, hasArrowAtEnd, hasArrowAtStart, insertPoint, insertPoint, isPointInObj, removeAllPoints, removePoint, setArrowAngle, setArrowHeads, setArrowLength, setArrowShaftLength, setArrowWidth, setCubic, setHighlight, setPoint, setPoint, setPoints`

Methods inherited from class com.nwoods.jgo.JGoDrawable
`draw3DRect, draw3DRect, drawEllipse, drawEllipse, drawEllipse, drawLine, drawLine, drawPath, drawPolygon, drawPolygon, drawRect, drawRect, drawRect, drawRoundRect, drawRoundRect, getBrush, getPen, setBrush, setPen, SVGReadAttributes, SVGWriteAttributes`

Methods inherited from class com.nwoods.jgo.JGoObject
`doUncapturedMouseMove, foredate, geometryChangeChild, getBoundingRect, getDocument, getDraggingObject, getFlags, getHeight, getLayer, getLeft, getLocation, getLocation, getParent, getParentNode, getPartner, getSize, getSize, getSpotLocation, getSpotLocation, getToolTipText, getTop, getTopLeft, getTopLeft, getTopLevelObject, getView, getWidth, hideSelectionHandles, is4ResizeHandles, isAutoRescale, isBoundingRectInvalid, isChildOf, isDraggable, isDragsNode, isGrabChildSelection, isInitializing, isResizable, isSelectable, isSkipsUndoManager, isSuspendChildUpdates, isSuspendUpdates, isTopLevel, isVisible, lostSelection, redirectSelection, set4ResizeHandles, setAutoRescale, setBoundingRect, setBoundingRect, setBoundingRect, setBoundingRectForce, setBoundingRectForce, setBoundingRectInvalid, setDraggable, setDragsNode, setFlags, setGrabChildSelection, setHeight, setInitializing, setLeft, setLocation, setLocation, setLocationOffset, setLocationOffset, setParent, setPartner, setResizable, setSelectable, setSize, setSize, setSizeKeepingLocation, setSkipsUndoManager, setSpotLocation, setSpotLocation, setSpotLocation, setSpotLocationOffset, setSuspendChildUpdates, setSuspendUpdates, setTop, setTopLeft, setTopLeft, setVisible, setWidth, showSelectionHandles, spotOpposite, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLink

    public SimpleLink()

### SimpleLink

    public SimpleLink(com.nwoods.jgo.JGoPort from,
                      com.nwoods.jgo.JGoPort to)

Method Detail

### initialize

    public void initialize(String text)

### setText

    public void setText(String text)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request